# 業務分部（歷史趨勢）

`GET` `/v1/quote/fundamentals/business-segments/history`

獲取上市公司按報告期的歷史業務分部收入趨勢。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `AAPL.US` |
| `report` | string | No | 報告類型：`qf`（季報）/ `saf`（半年報）/ `af`（年報） |
| `cate` | string | No | 分部類別過濾 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/fundamentals/business-segments/history?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `historical` | object[] | No | 歷史報告期列表 |
| `└ total` | string | No | 當期總收入 |
| `└ currency` | string | No | 貨幣代碼 |
| `└ date` | string | No | 報告期，格式 YYYYMMDD，例如 `20260331` |
| `└ report` | string | No | 報告期代碼（如 `af` = 年報） |
| `└ report_txt` | string | No | 報告期標籤（如 `FY2024`、`Q1 2024`） |
| `└ fp_start` | string | No | 財政期開始日期，格式 `YYYY.MM.DD` |
| `└ fp_end` | string | No | 報告期結束時間戳 |
| `└ rpt_date` | string | No | 財報發布日期 |
| `└ business` | object[] | No | 業務分部列表 |
| `└ ∟ name` | string | No | 業務分部名稱 |
| `└ ∟ percent` | string | No | 收入佔比（百分比，例如 `40.80`） |
| `└ ∟ value` | string | No | 絕對收入數值 |
| `└ ∟ id` | string | No | 新創建提醒的 ID |
| `└ ∟ yoy` | string | No | 同比增長率 |
| `└ regionals` | array | No | 地區分部列表（當前通常為空數組） |
| `└ bus_ids` | array | No | 業務分部 ID 列表。 |
| `└ reg_ids` | array | No | 區域分部 ID 列表。 |
| `└ yoy` | string | No | 同比增長率 |
| `bus_ids` | array | No | 業務分部 ID 列表。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "historical": [
      {
        "date": "20260331",
        "total": "124300000000",
        "currency": "USD",
        "business": [
          {
            "name": "Americas",
            "percent": "40.80",
            "value": "31968000000"
          },
          {
            "name": "Europe",
            "percent": "23.64",
            "value": "18521000000"
          },
          {
            "name": "Greater China",
            "percent": "20.72",
            "value": "16233000000"
          }
        ],
        "regionals": []
      }
    ]
  }
}
```
